<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

	include_once '../config/database.php';
	include_once '../objects/check_in_detail.php';
	 
	$database = new Database();
	$db = $database->getConnection();

	$check_in_detail = new CheckInDetail($db);
	$data = json_decode(file_get_contents("php://input"));

	// $check_in_detail->checkin_id = $data->checkin_id;

	$stmt = $check_in_detail->getOneForCheckInReport($data->checkin_id);
	$num = $stmt->rowCount();
	$arr=array();
	$arr["records"]=array();
	if($num>0){

	    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
	        extract($row);
	        $item=array(
				"date" => $date,
				"room_rate" => $room_rate,
				"extra_bed" => ($extra_bed),
				"extra_bed_rate" => ($extra_bed_rate),
				"extra_person" => ($extra_person),
				"extra_person_rate" => ($extra_person_rate),
				"total" => ($total)
	        );
	        array_push($arr["records"], $item);
	    }
	    
	}
	echo json_encode($arr);
?>